package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.GroupUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户组用户(GroupUser)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-27 16:46:22
 */
@Mapper
public interface GroupUserMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    GroupUser selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<GroupUser> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param groupUser 实例对象
     * @return 对象列表
     */
    List<GroupUser> selectList(GroupUser groupUser);

    /**
     * 新增数据
     *
     * @param groupUser 实例对象
     * @return 影响行数
     */
    int insert(GroupUser groupUser);

    /**
     * 批量新增
     *
     * @param groupUsers 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("groupUsers") List<GroupUser> groupUsers);

    /**
     * 修改数据
     *
     * @param groupUser 实例对象
     * @return 影响行数
     */
    int update(GroupUser groupUser);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<GroupUser> selectPage(IPage<GroupUser> page, GroupUser groupUser);

}